
Thanks for helping make GitHub safe for everyone.

## Security

GitHub takes the security of our software products and services seriously, including all of the open source code repositories managed through our GitHub organizations, such as [GitHub](https://github.com/GitHub).

Even though [open source repositories are outside of the scope of our bug bounty program](https://bounty.github.com/index.html#scope) and therefore not eligible for bounty rewards, we will ensure that your finding gets passed along to the appropriate maintainers for remediation. 

## Reporting Security Issues

If you believe you have found a security vulnerability in any GitHub-owned repository, please report it to us through coordinated disclosure.

**Please do not report security vulnerabilities through public GitHub issues, discussions, or pull requests.**

Instead, please send an email to opensource-security[@]github.com.

Please include as much of the information listed below as you can to help us better understand and resolve the issue:

  * The type of issue (e.g., buffer overflow, SQL injection, or cross-site scripting)
  * Full paths of source file(s) related to the manifestation of the issue
  * The location of the affected source code (tag/branch/commit or direct URL)
  * Any special configuration required to reproduce the issue
  * Step-by-step instructions to reproduce the issue
  * Proof-of-concept or exploit code (if possible)
  * Impact of the issue, including how an attacker might exploit the issue

This information will help us triage your report more quickly.

## Policy

See [GitHub's Safe Harbor Policy](https://docs.github.com/en/site-policy/security-policies/github-bug-bounty-program-legal-safe-harbor)
# Seguridad avanzada de GitHub

Empresa GitHub
Ver todas las colecciones

Acciones de GitHub
la plataforma DevOps

Temas
Destacar
DevOps
Seguridad
Acciones de GitHub
Fuente abierta
Herramientas
Fundamentos
Seguridad de aplicaciones
fuente interna
Ver todos los temas
Comparar GitHub

Día de demostración: ganando terreno con las acciones de GitHub
16 de marzo de 2021

Obtenga soporte práctico para todo lo relacionado con la automatización. Únase a nosotros para una inmersión técnica profunda en GitHub Actions...

DevOps , canalización , automatización , CI/CD , acciones de GitHub se soluciona problemas de seguridad en minutos, no en meses

GitHub Advanced Security está diseñado para optimizar la experiencia del desarrollador a través de la automatización. Ayuda a sus equipos a identificar y solucionar problemas de seguridad informados de manera rápida y eficiente al integrar la seguridad en cada paso del flujo de trabajo del desarrollador.

¿Ves un problema de seguridad? Arréglalo ahora.

Ocurren problemas de seguridad, pero dejarlos sin solucionar puede suponer una carga para su equipo y su negocio. Lo mejor que puede hacer es identificar los problemas a tiempo y solucionarlos rápidamente.

La seguridad está conectada a todo

Mensaje que muestra la vulnerabilidad encontrada
Seguridad que empodera a los desarrolladores

GitHub Advanced Security proporciona capacidades líderes en la industria de forma nativa en el entorno de desarrollador. Estas capacidades incluyen:

Escaneo de código

Encuentre y solucione problemas de seguridad en su código antes de que lleguen a producción con pruebas de seguridad de aplicaciones estáticas (SAST).

Escaneo secreto

Evite el acceso no autorizado y las infracciones observando sus repositorios en busca de formatos secretos conocidos y reciba notificaciones tan pronto como se encuentren secretos.

Seguridad de la cadena de suministro

Detecte las dependencias vulnerables antes de introducirlas en su base de código con el análisis de composición de software (SCA).

Encuentre y solucione problemas de seguridad antes

El escaneo de código examina su código en busca de problemas de seguridad a medida que se escribe e integra correcciones de forma nativa en el flujo de trabajo del desarrollador.

Aprende más Solicitud de extracción que muestra todas las pruebas aprobadas

Informe de escaneo secreto
Descubra y administre secretos codificados
El escaneo de secretos observa sus repositorios en busca de formatos de secretos conocidos y personalizados y luego le notifica tan pronto como se encuentran secretos.

Mira como funciona 

Seguridad de la cadena de suministro con inteligencia en tiempo real
La revisión de dependencias ayuda a sus revisores y contribuyentes a comprender los cambios de dependencia y su impacto en la seguridad, incluidas qué dependencias se agregaron, eliminaron o actualizaron.
Aprende cómo funciona esto 

Administre sus riesgos de seguridad, todo en un solo lugar
La descripción general de seguridad proporciona visibilidad de su postura de seguridad en todo su código base, lo que le ayuda a priorizar los problemas y repositorios que requieren su atención.

Aprende más Sigue usando las herramientas que amas
Las integraciones de terceros y el soporte SARIF brindan flexibilidad y libertad para que sus equipos utilicen cualquier combinación de soluciones de seguridad de aplicaciones comerciales o de código abierto, sin cambios de contexto.
Consulte la descripción completa

Mayor seguridad para mejores experiencias
Las características de seguridad de GitHub ayudan a tu equipo a construir y realizar envíos de manera más eficiente. Vea cómo el escaneo de códigos, el escaneo de secretos, la seguridad de la cadena de suministro y más encajan en su flujo de trabajo de desarrollador.

Escanear solicitudes de extracción en busca de vulnerabilidades antes de comprometerse
Vea, corrija, descarte o elimine alertas de posibles vulnerabilidades o errores en el código de su proyecto.

Lee la guía
Configuración de niveles de alerta de seguridad personalizados para verificaciones de solicitudes de extracción
Defina las gravedades que causan el error en la verificación de la solicitud de extracción y especifique el escaneo para ramas específicas.

Lee la guía
Uso de revisiones predictivas de dependencia para detectar vulnerabilidades
Obtenga una visualización fácilmente comprensible de los cambios de dependencia con una rica diferencia en la pestaña Archivos modificados de una solicitud de extracción.

Lee la guía
Preferimos tener una seguridad que aproveche lo que los desarrolladores ya están usando en lugar de intentar obligarlos a usar alguna otra herramienta... siempre causa fricción.
# **<img width="616" alt="Compete-river-1__10_" src="https://github.com/binance/binance-futures-connector-python/assets/42362168/83f56c2d-41c3-4d0c-a3c8-7f026db698d6">
<img width="616" alt="Compete-river-1" src="https://github.com/binance/binance-futures-connector-python/assets/42362168/6c07928a-ccb0-4a4e-8a8b-067cd2c05c2e">
<img width="616" alt="Compete-river-3__7_" src="https://github.com/binance/binance-futures-connector-python/assets/42362168/d658e12a-7f45-4ca8-bb45-9a063d7b523a">
![Compete-river-3__18___1_](https://github.com/binance/binance-futures-connector-python/assets/42362168/4f608018-93a0-4002-ac18-b9ef8201e50a)
<img width="616" alt="Compete-river-3__8_" src="https://github.com/binance/binance-futures-connector-python/assets/42362168/7e9405a3-82b6-4c78-939e-5bd8aa8650c2"> [github-recovery-codes.txt](https://github.com/binance/binance-futures-connector-python/files/12507424/github-recovery-codes.txt)
**
